> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Reprocess a single ISO application

> Use this endpoint to trigger reprocessing of a specific ISO application. This will re-run the parsing and validation process for the specified application.




## OpenAPI

````yaml https://app.herondata.io/swagger post /api/iso_applications/reprocess/{heron_id}
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/iso_applications/reprocess/{heron_id}:
    post:
      tags:
        - ISOApplication
      summary: Reprocess a single ISO application
      description: >
        Use this endpoint to trigger reprocessing of a specific ISO application.
        This will re-run the parsing and validation process for the specified
        application.
      parameters:
        - description: The heron_id of the ISO application to reprocess
          in: path
          name: heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  failed:
                    description: List of heron_ids that failed to reprocess
                    items:
                      type: string
                    type: array
                  succeeded:
                    description: >-
                      List of heron_ids that were successfully queued for
                      reprocessing
                    items:
                      type: string
                    type: array
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````